osgDB::ImagePager::ImageRequest Struct Reference

`#include <ImagePager>`

Inheritance diagram for osgDB::ImagePager::ImageRequest:

## Public Member Functions

| ImageRequest ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

unsigned int | _frameNumber
double | _timeToMergeBy
std::string | _fileName
osg::ref_ptr< Options > | _loadOptions
osg::observer_ptr< osg::Object > | _attachmentPoint
int | _attachmentIndex
osg::ref_ptr< osg::Image > | _loadedImage
RequestQueue * | _requestQueue
osg::ref_ptr< osgDB::Options > | _readOptions

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ImageRequest()

osgDB::ImagePager::ImageRequest::ImageRequest | ( |  | ) |

inline

References _attachmentIndex, _frameNumber, _requestQueue, _timeToMergeBy, and osg::Referenced::Referenced().

## Member Data Documentation

## _attachmentIndex

int osgDB::ImagePager::ImageRequest::_attachmentIndex

Referenced by ImageRequest().

## _attachmentPoint

osg::observer_ptr<osg::Object> osgDB::ImagePager::ImageRequest::_attachmentPoint

## _fileName

std::string osgDB::ImagePager::ImageRequest::_fileName

## _frameNumber

unsigned int osgDB::ImagePager::ImageRequest::_frameNumber

Referenced by ImageRequest().

## _loadedImage

osg::ref_ptr<osg::Image> osgDB::ImagePager::ImageRequest::_loadedImage

## _loadOptions

osg::ref_ptr<Options> osgDB::ImagePager::ImageRequest::_loadOptions

## _readOptions

osg::ref_ptr<osgDB::Options> osgDB::ImagePager::ImageRequest::_readOptions

## _requestQueue

RequestQueue* osgDB::ImagePager::ImageRequest::_requestQueue

Referenced by ImageRequest().

## _timeToMergeBy

double osgDB::ImagePager::ImageRequest::_timeToMergeBy

Referenced by ImageRequest().

The documentation for this struct was generated from the following file:

- ImagePager